﻿@{
    ViewBag.Title = "Stock";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Stock Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    <div class="form-group">
                        <label for="inputQuantity" class="col-sm-2 control-label">Enter Quantity</label>

                        <div class="col-sm-10">
                            <input type="number" class="form-control" id="inputQuantity" placeholder="Enter Digits Only ...">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputMedStoreID" class="col-sm-2 control-label">Select Medical Store No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputMedStoreID">
                              

                            </select>
                        </div>
                    </div>
                  
                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddStockData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddStockData() {
        debugger;
        var Quantity = $('#inputQuantity').val();
        var MedStoreID = $('#InputMedStoreID :selected').attr('id');

        $.ajax({
            url: '@Url.Action("AddStock", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Quantity: Quantity, MedStoreID: MedStoreID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllStockDataIDName", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                 
                    for (i = 0; i < list.length; i++) {
                        $('#InputMedStoreID').append('<option id=' + list[i].medicalstoreid + ' value=' + list[i].name + ' >' + list[i].name + '  </option>');
                    }


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

